## Apache Zeta Components Manual :: Docs For Class ezcWebdavProperty

### Webdav::ezcWebdavProperty

### Class ezcWebdavProperty

Base class for WebDAV property representation classes.

Source for this file: /Webdav/src/interfaces/property.php

    ezcWebdavInfrastructureBase
       |
       --ezcWebdavProperty

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcWebdavLiveProperty | Abstract base class for live property objects.
ezcWebdavDeadProperty | An object of this class represents a WebDAV dead property.

### Properties

array | read | `$errors` Validation errors for property
bool | read | `$hasError` If the property has a property validation error.
string | read/write | `$name` Name of property
string | read/write | `$namespace` Namespace of property

### Member Variables

protected array(string=>mixed) | `$properties` Properties.

### Inherited Member Variables

From ezcWebdavInfrastructureBase
protected | `ezcWebdavInfrastructureBase::$pluginData`

### Method Summary

public void | `__construct( $namespace , $name )` Creates a new property object.
public void | `clear( )` Remove all contents from a property.
protected void | `hasError( $property , $value , $expected )` Indicates that a property has a validation error.
public abstract bool | `hasNoContent( )` Check if property has no content.
public void | `__clone( )` Clones a property deeply.

### Inherited Methods

From ezcWebdavInfrastructureBase
public mixed | `ezcWebdavInfrastructureBase::getPluginData()` Retrieves plugin data from the storage.
public bool | `ezcWebdavInfrastructureBase::hasPluginData()` Returns if plugin data is available in the storage.
public void | `ezcWebdavInfrastructureBase::removePluginData()` Removes plugin data from the storage.
public void | `ezcWebdavInfrastructureBase::setPluginData()` Sets plugin data in the storage.

### Methods

#### __construct

void __construct( string $namespace , string $name )

Creates a new property object.

Creates a new property by namespace and name.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$namespace` | string |
`$name` | string |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcWebdavLiveProperty::__construct()` | Creates a new live property.
`ezcWebdavSourcePropertyLink::__construct()` | Creates a new ezcWebdavSourceProperty.
`ezcWebdavSourceProperty::__construct()` | Creates a new ezcWebdavSourceProperty.
`ezcWebdavGetEtagProperty::__construct()` | Creates a new ezcWebdavGetEtagProperty.
`ezcWebdavGetContentLanguageProperty::__construct()` | Creates a new ezcWebdavGetContentLanguageProperty.
`ezcWebdavCreationDateProperty::__construct()` | Creates a new ezcWebdavCreationDateProperty.
`ezcWebdavDisplayNameProperty::__construct()` | Creates a new ezcWebdavDisplayNameProperty.
`ezcWebdavGetLastModifiedProperty::__construct()` | Creates a new ezcWebdavGetLastModifiedProperty.
`ezcWebdavGetContentLengthProperty::__construct()` | Creates a new ezcWebdavGetContentLengthProperty.
`ezcWebdavResourceTypeProperty::__construct()` | Creates a new ezcWebdavResourceTypeProperty.
`ezcWebdavGetContentTypeProperty::__construct()` | Creates a new ezcWebdavGetContentTypeProperty.
`ezcWebdavDeadProperty::__construct()` | Creates a new dead property.

#### clear

void clear( )

Remove all contents from a property.

Clear a property, so that it will be recognized as empty later.

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcWebdavSourceProperty::clear()` | Removes all contents from a property.
`ezcWebdavGetContentLanguageProperty::clear()` | Removes all contents from a property.

#### hasError

void hasError( string $property , mixed $value , string $expected )

Indicates that a property has a validation error.

Method called, when a property validation error occurs. The error is stored and the property is set as errnous.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$property` | string |
`$value` | mixed |
`$expected` | string |

#### hasNoContent

bool hasNoContent( )

Check if property has no content.

The implementation of this method must return true, if no content is stored in the property.

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcWebdavSourcePropertyLink::hasNoContent()` | Returns if property has no content.
`ezcWebdavSourceProperty::hasNoContent()` | Remove all contents from a property.
`ezcWebdavGetEtagProperty::hasNoContent()` | Returns if property has no content.
`ezcWebdavGetContentLanguageProperty::hasNoContent()` | Returns if property has no content.
`ezcWebdavCreationDateProperty::hasNoContent()` | Returns if property has no content.
`ezcWebdavDisplayNameProperty::hasNoContent()` | Returns if property has no content.
`ezcWebdavGetLastModifiedProperty::hasNoContent()` | Returns if property has no content.
`ezcWebdavGetContentLengthProperty::hasNoContent()` | Returns if property has no content.
`ezcWebdavResourceTypeProperty::hasNoContent()` | Returns if property has no content.
`ezcWebdavGetContentTypeProperty::hasNoContent()` | Returns if property has no content.
`ezcWebdavDeadProperty::hasNoContent()` | Returns if property has no content.

#### __clone

void __clone( )

Clones a property deeply.

Documentation generated by phpDocumentor 1.4.3